#!/bin/sh -x
BASE="ou=users,o=oil-space"
URL="ldap://fbsd"
BIND_DN="uid=tizhbulatov,$BASE"
OPTIONS="-ZZ -x -W -H $URL -D $BIND_DN"
DN="uid=testuser,$BASE"

ldapadd $OPTIONS <<EOF
dn: $DN
objectClass: inetOrgPerson
objectClass: shadowAccount
objectClass: posixAccount
objectClass: ldapPublicKey
cn: Test User
sshPublicKey: XXXplaceholderXXX
uidNumber: 1030
gidNumber: 200
sn: User
homeDirectory: /home/testuser
mail: TestUser@oilspace.com
givenName: Test
uid: testuser
EOF

ldapmodify $OPTIONS <<EOF
dn: $DN
changetype: modify
EOF

ldapdelete $OPTIONS $DN
